> ## Documentation Index
> Fetch the complete documentation index at: https://gnosispay-feat-v2-auth-module.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Terms Status

> Get the authenticated user's terms acceptance status



## OpenAPI

````yaml https://core.prod.gnosispay.com/user-api/openapi.json get /user/terms
openapi: 3.1.0
info:
  title: User Service
  version: 0.0.0
servers: []
security: []
tags:
  - name: Health
  - name: Auth
  - name: User
  - name: Cards
  - name: Phone
  - name: PCI
  - name: Terms
  - name: Source of Funds
paths:
  /user/terms:
    get:
      tags:
        - Terms
      summary: Get User Terms Status
      description: Get the authenticated user's terms acceptance status
      operationId: UserTerms_getUserTerms
      parameters: []
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserTermsResponse'
        '401':
          description: Access is unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserTermsUnauthorized'
        '404':
          description: The server cannot find the requested resource.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserTermsNotFound'
        '502':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserTermsBadGateway'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - BearerAuth: []
components:
  schemas:
    GetUserTermsResponse:
      type: object
      required:
        - terms
      properties:
        terms:
          type: array
          items:
            $ref: '#/components/schemas/UserTermsStatus'
    GetUserTermsUnauthorized:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    GetUserTermsNotFound:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    GetUserTermsBadGateway:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    Error:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    UserTermsStatus:
      type: object
      required:
        - type
        - currentVersion
        - name
        - url
        - accepted
        - acceptedVersion
        - acceptedAt
      properties:
        type:
          type: string
        currentVersion:
          type: string
        name:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
        accepted:
          type: boolean
        acceptedVersion:
          anyOf:
            - type: string
            - type: 'null'
        acceptedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: Bearer

````